Package com.smartgwt.client.widgets.grid.events

# Class CellErrorIconOverEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<H>
com.smartgwt.client.widgets.grid.events.GridRowColEvent<CellErrorIconOverHandler>
com.smartgwt.client.widgets.grid.events.CellErrorIconOverEvent

All Implemented Interfaces:
  `Cancellable`

public class CellErrorIconOverEvent extends GridRowColEvent<CellErrorIconOverHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellErrorIconOverEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to suppress the default behavior (show a standard error message hover)
  `protected void`
  `dispatch(CellErrorIconOverHandler handler)`
  `static <S extends HasCellErrorIconOverHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<CellErrorIconOverHandler>`
  `getAssociatedType()`
  `static GwtEvent.Type<CellErrorIconOverHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.grid.events.GridRowColEvent

  `getColNum, getFiringCanvas, getRecord, getRowNum`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellErrorIconOverEvent

    public CellErrorIconOverEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### fire

    public static <S extends HasCellErrorIconOverHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<CellErrorIconOverHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(CellErrorIconOverHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<CellErrorIconOverHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<CellErrorIconOverHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<CellErrorIconOverHandler>`

  - ### cancel

    public void cancel()
    Call this method to suppress the default behavior (show a standard error message hover)
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled